org.keycloak.models

## Class OrderedModel.OrderedModelComparator<OM extends OrderedModel>

- java.lang.Object
- - org.keycloak.models.OrderedModel.OrderedModelComparator<OM>

- All Implemented Interfaces:
    Comparator<OM>
  Enclosing interface:
    OrderedModel

      public static class OrderedModel.OrderedModelComparator<OM extends OrderedModel>
      extends Object
      implements Comparator<OM>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OrderedModel.OrderedModelComparator` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderedModelComparator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(OM o1, OM o2)`
    `static <T extends OrderedModel> OrderedModel.OrderedModelComparator<T>` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### INSTANCE

          public static final OrderedModel.OrderedModelComparator INSTANCE

  - ### Constructor Detail

    - #### OrderedModelComparator

          public OrderedModelComparator()

  - ### Method Detail

    - #### getInstance

          public static <T extends OrderedModel> OrderedModel.OrderedModelComparator<T> getInstance()

    - #### compare

          public int compare(OM o1,
                             OM o2)

      Specified by:
        `compare` in interface `Comparator<OM extends OrderedModel>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.